Skip to content
Hoursmith Docs
APIReferenceInvoices

List an invoice's lifecycle history

List an invoice's lifecycle history. Read-only, newest first: created, edited, marked sent, emailed / reminded (recipients + delivery status, including failures), viewed by the client, payments, refunds, cancellation, corrections. `summary` answers sent/viewed/paid at a glance. Keyset-paginated with an opaque cursor. Read scope; Owner/Admin/Manager.

GET
/invoices/{id}/activity

Authorization

BearerAuth
AuthorizationBearer <token>

Personal Access Token. Mint at Settings → API. Token shape: hsk_<env>_<prefix12>_<secret32>.

In: header

Path Parameters

id*string

Invoice id.

Query Parameters

limit?integer

Page size; default 50.

cursor?string

nextCursor from the previous page, unchanged.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/invoices/497f6eca-6276-4993-bfeb-53cbbbba6f08/activity"
{  "data": [    {      "id": "string",      "type": "created",      "at": "2019-08-24T14:15:22Z",      "actor": {        "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",        "name": "string"      },      "summary": "string",      "details": {}    }  ],  "warnings": [    "string"  ],  "pagination": {    "limit": 1,    "nextCursor": "string"  },  "summary": {    "invoice": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "number": "string",      "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",      "status": "DRAFT",      "paymentStatus": "unpaid",      "currency": "string",      "total": "string",      "amountPaid": "string",      "balanceDue": "string",      "issueDate": "2019-08-24",      "dueDate": "2019-08-24",      "sentAt": "2019-08-24T14:15:22Z",      "lastSentAt": "2019-08-24T14:15:22Z",      "paidAt": "2019-08-24T14:15:22Z"    },    "invoiceEmailAttempts": 0,    "reminderAttempts": 0,    "lastReminderAt": "2019-08-24T14:15:22Z",    "latestEmail": {      "type": "invoice",      "deliveryStatus": "string",      "error": "string",      "at": "2019-08-24T14:15:22Z"    },    "viewCount": 0,    "firstViewedAt": "2019-08-24T14:15:22Z",    "lastViewedAt": "2019-08-24T14:15:22Z"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
Was this page helpful?